MONGOC_URI_SET_PASSWORD(3)

NAME
mongoc_uri_set_password - mongoc_uri_set_password()

SYNOPSIS

        bool
        mongoc_uri_set_password (mongoc_uri_t *uri, const char *password);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   password: The new password.

DESCRIPTION

Sets the URI's password, after the URI has been parsed from a string. The driver authenticates with this password if the username is also set.

RETURNS

Returns false if the option cannot be set, for example if password is not valid UTF-8.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc